
Katello - Bug #5843

Remove v1 API routes

05/20/2014 09:16 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102351 Red Hat JIRA:  

Pull request:    

Description

In order to avoid authorizing v1 routes we need to "hide" them.  This will be followed with removing the controllers completely after

the remaining v1 controllers are converted to v2.

Related issues:

Related to Katello - Refactor #5628: Remove converted v1 API controllers and ... Closed 05/07/2014

Blocks Katello - Feature #5217: As a user, I should have CRUD permissions for... Closed 04/16/2014

Blocks Katello - Feature #5500: As a user, I should not be able to access API... Closed 04/29/2014

Associated revisions

Revision fc78230d - 05/23/2014 09:03 PM - Walden Raines

Fixes #5843, removing api v1 routes.

Revision d8130b0e - 05/30/2014 03:09 PM - Walden Raines

Merge pull request #4132 from waldenraines/5843

Fixes #5843, removing api v1 routes.

History

#1 - 05/20/2014 09:16 PM - Walden Raines

- Blocks Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/20/2014 09:17 PM - Walden Raines

- Related to Refactor #5628: Remove converted v1 API controllers and tests added

#3 - 05/22/2014 04:05 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4132

#4 - 05/28/2014 06:33 PM - Eric Helms

- Blocks Feature #5500: As a user, I should not be able to access APIs I don't have permissions to. added

#5 - 05/28/2014 07:19 PM - Eric Helms

- Category set to API

- Target version set to 45

- Triaged changed from No to Yes

#6 - 05/28/2014 07:59 PM - Walden Raines

- Subject changed from Make v1 routes not be directly accessible to Remove v1 API routes
#7 - 05/28/2014 08:03 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102351

#8 - 05/30/2014 03:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:fc78230dbec7ce738e2384120bd805b441d5f24f.

#9 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

